#ifndef STATC_H
#define STATC_H

#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <math.h>
#include <conio.h>
#include <crt0.h> //Fonctions de dbugging.
#include <time.h> //Pour recuperer le temps.

#include "listef.h"
#include "statb.h"
#include "allegro.h"


#define MAX_MINUTES 600

typedef struct gui{ int occupe;           //Etat actuel du guichet.
		    float temps_total;    //Temps total de service du client actuel.
		    float temps_servi;    //Temps de service pass du client actuel.
		    float temps_inoccupe; //Temps total d'innocupation.
		    int nb_clients_file;  //Nombre de clients dans la file.
                    int servis;           //Nombre total de clients servis.
		    liste *file;          //Temps de traitement des clients.
                    int nb_clients_cumul;  //Nombre total de clients passs dans la file.
                    int nb_variations_file;//Nombre de variations de la file.
                  }guichet;

liste *C_services(float param);

guichet *init_guichet(void);

void guichet_FIFO(journee *j, guichet *g, float intervalle, long temps);

float C_journee(float param1, float param2, int *moyenne_file);

void C_tri_float(float *t,int taille);

//float C_moyenne(liste *l);

int C_file(float param1, float param2);

#endif
